Поддержка WPA-PSK, WPA2-PSK в Linux Debian

Поддержка WPA-PSK, WPA2-PSK в Linux Debian

Распределение Linux Mint Debian Edition в конфигурации по умолчанию не поддерживает методы сетевой безопасности в стандартах IEEE 802.1X и IEEE 802.11i (WPA-PSK, WPA2-PSK Personal / Enterprise). Решением проблемы является установка дополнительных компонентов, которые расширят функциональность программы беспроводной сети.

В этом примере управление устройствами и сетевыми соединениями выполнялось с помощью приложения Network Manager. Чтобы иметь возможность видеть методы проверки подлинности, обсуждаемые в приложении, нам необходимо установить пакет wpasupplicant.

Как включить поддержку WPA-PSK, WPA2-PSK в Linux Debian?

Мы запускаем терминал ALT + F2 и вводим гном-терминал (мы можем использовать любой эмулятор терминала, например xterm).

Мы устанавливаем недостающий пакет:

sudo aptitude install wpasupplicant

Кстати, мы можем установить графический интерфейс для беспроводных сетей, включая стандарты WPA-PSK / WPA2-PSK. Наконец, команда установки может принимать форму:

sudo aptitude install wpasupplicant wpagui

Ниже представлены скриншоты с предварительным просмотром новых методов проверки подлинности, которые появились после установки вышеупомянутого компонента в программах Network Manager и WPA GUI.